Subject: [v6ops] Fwd: [Tools-discuss] Performance oriented codesprint before IETF 112

From: Fred Baker <[email-masked]>
Date: Fri, 1 Oct 2021 12:51:55 -0700

Ron and I have been asked for help in the code sprint. See attached. If you would like to do that, follow the directions.

Sent using a machine that autocorrects in interesting ways...

Begin forwarded message:

> From: Robert Sparks <[email-masked]>
> Date: October 1, 2021 at 9:25:29 AM PDT
> To: Working Chairs <[email-masked]>
> Subject: Fwd: [Tools-discuss] Performance oriented codesprint before IETF 112
> 
> 
> Chairs -
> 
> Please consider taking some time to help at the codesprint below.
> 
> If you have group members that you think would be able to contribute, please help me make sure they know about this sprint.
> 
> RjS
> 
> 
> 
> -------- Forwarded Message --------
> Subject:	[Tools-discuss] Performance oriented codesprint before IETF 112
> Date:	Wed, 29 Sep 2021 17:23:16 -0500
> From:	Robert Sparks <[email-masked]>
> To:	tools-discuss <[email-masked]>
> CC:	IETF Codesprints <[email-masked]>
> 
> 
> We would like to hold a codesprint before IETF 112 focused on datatracker performance.
> 
> We have been improving the instrumentation of the datatracker, and plan to provide quite a bit of information that will help us focus on places that will help us most. These include statistic from the database engine itself, and instrumentation that measures which views are getting the most use, suffering the worst cumulative performance, and how those views use the database.
> 
> I expect much of the work will be verifying that the database has the right indices, adjusting views to make better use of the ORM (such as prefetching data (and not to prefetch too _much_ data), and adjusting models where the current models are proving to be problematic.
> 
> I have a doodle for two different possible times on either Oct 27 or Oct 28.
> 
> If you would like to participate, please add yourself to the doodle. If the proposed times can't be made to work for you and you would really like to engage in this kind of sprint, please just add a comment at the doodle page.
> 
> RjS
> 
> 
> 
> 
> ___________________________________________________________
> Tools-discuss mailing list - [email-masked]
> This list is for discussion, not for action requests or bug reports.
> * Report datatracker and mailarchive bugs to: [email-masked]
> * Report tools.ietf.org bugs to: [email-masked]
> * Report all other bugs or issues to: [email-masked]
> List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss